Bug 472455 - quirk_detailed_use_maximum_size not being applied
quirk_detailed_use_maximum_size not being applied
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 17:19 EST by Orion Poplawski
Modified: 2009-11-05 13:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-05 13:46:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log (35.68 KB, text/plain)
2008-11-20 17:19 EST, Orion Poplawski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18536 None None None Never

  None (edit)
Description Orion Poplawski 2008-11-20 17:19:38 EST
Created attachment 324246 [details]
X log

Description of problem:

The radeon (and other?) driver appear to have a quirk to handle some bad monitors/panels that return incorrect physical size.  In this case:

DDC_QUIRK_DETAILED_USE_MAXIMUM_SIZE

static Bool quirk_detailed_use_maximum_size (int scrnIndex, xf86MonPtr DDC)
{
    /* Bug #10304: LGPhilipsLCD LP154W01-A5 */
    if (memcmp (DDC->vendor.name, "LPL", 4) == 0 &&
        (DDC->vendor.prod_id == 0 || DDC->vendor.prod_id == 0x2a00))
        return TRUE;

    return FALSE;
}

However, this does not appear to be being applied in this case:

(II) RADEON(0): Manufacturer: LPL  Model: 0  Serial#: 0
(II) RADEON(0): Max Image Size [cm]: horiz.: 33  vert.: 21
(II) RADEON(0): clock: 71.2 MHz   Image Size:  289 x 21 mm
(II) RADEON(0): Using exact sizes for initial modes
(II) RADEON(0): Setting screen physical size to 289 x 21


As a workaround Option "IgnoreEDID" "on" appears to work.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-54.fc10.x86_64

This actually appears to go as far back a F8 - not using the quirk.
Comment 1 Bug Zapper 2008-11-26 00:42:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Orion Poplawski 2009-03-27 12:37:38 EDT
Still present in xorg-x11-drv-ati-6.11.0-10.fc11.x86_64

Can this get fixed?  It makes the system almost unusable because the text size is so huge.  You can't even see the login screen properly.
Comment 3 Orion Poplawski 2009-07-23 17:35:14 EDT
Still present in xorg-x11-drv-ati-6.12.2-14.fc11.x86_64.
Comment 4 Matěj Cepl 2009-11-05 13:20:37 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Orion Poplawski 2009-11-05 13:46:26 EST
I don't have the hardware any more.

Note You need to log in before you can comment on or make changes to this bug.